Installing FBI on a A9LH setup.

Discussion in '3DS - Flashcards & Custom Firmwares' started by astrangeone, Sep 9, 2016.

  1. astrangeone
    OP

    astrangeone GBAtemp Addict

    Member
    2,029
    586
    Dec 1, 2009
    Canada
    Canada
    I ended up dumping my h&s app and injecting it with the newest version of Universal Inject Master, and when I go to inject the modified app, hourglass9 tries to open it, and then goes ncch is already encrypted...

    Tried the homebrew launcher version of FBI, and it gave me a "no kernal access" error. (This is on A9LH.)

    Also tried to create an emunand and then throw the modified app onto there. No luck.
     
    Last edited by astrangeone, Sep 9, 2016
  2. astrangeone
    OP

    astrangeone GBAtemp Addict

    Member
    2,029
    586
    Dec 1, 2009
    Canada
    Canada
    I formatted the system before attempting to inject fbi into h&s. Would that have hampered the issue?
     
  3. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,896
    Nov 30, 2014
    United States
    You could optionally install the dev branch of luma3ds, select "patch svc etc.", and run NASA 3dsx to install FBI.
     
    ihaveamac and astronautlevel like this.
  4. astrangeone
    OP

    astrangeone GBAtemp Addict

    Member
    2,029
    586
    Dec 1, 2009
    Canada
    Canada
    No luck. Going into the HB Launcher is fine, and pressing Nasa.3dsx actually freezes the system.
     
  5. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,896
    Nov 30, 2014
    United States
    Did you use the dev branch of latest official luma (6.1.2) and select the "patch SVC/service/archive/ARM9 access" in the luma boot menu?
     
  6. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    Have you tried to use Decrypt9?
     
  7. astrangeone
    OP

    astrangeone GBAtemp Addict

    Member
    2,029
    586
    Dec 1, 2009
    Canada
    Canada
    Yup. I deleted my original arm9loaderhax.bin and replaced it with the dev branch of the latest luma, and also selected the "patch SVC/service/archive/arm9 access" in the boot menu.

    — Posts automatically merged - Please don't double post! —

    Tried it, same error. I have no idea what the guy who originally bought this did to the system
     
  8. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,896
    Nov 30, 2014
    United States
    Ok, this is the exact build that I used. I don't think all of the NASAs Rin released had svchax.

    Oh, by the way, are you on 11.0?
     

    Attached Files:

    • NASA.zip
      File size:
      259.7 KB
      Views:
      35
    Last edited by zoogie, Sep 9, 2016
  9. astrangeone
    OP

    astrangeone GBAtemp Addict

    Member
    2,029
    586
    Dec 1, 2009
    Canada
    Canada
    Yup, I'm on 11.0.

    And no luck on the NASA front.
     
  10. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,896
    Nov 30, 2014
    United States
    Yeah, I can reproduce that to. No idea why it worked for me yesterday.
     
  11. astrangeone
    OP

    astrangeone GBAtemp Addict

    Member
    2,029
    586
    Dec 1, 2009
    Canada
    Canada
    I have no idea. I'm getting really annoyed at this system. I have been downgrading and installing a9lh for ages, and this is the first time something like this showed up.
     
  12. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,896
    Nov 30, 2014
    United States
    Ok, quick hotfix. Rename NASA.3dsx to boot.3dsx on your sd root and run it. This works for me.

    It appears the luma dev branch svc patch feature has a weird bug that breaks loading any 3dsx from hbmenu.
    @TuxSH
     
    LongTimeLurker likes this.
  13. astrangeone
    OP

    astrangeone GBAtemp Addict

    Member
    2,029
    586
    Dec 1, 2009
    Canada
    Canada
    Ah! A brainwave. This worked completely.

    Thanks!
     
    zoogie likes this.